---
title: vendorID
slug: Web/API/BluetoothDevice/vendorID
tags:
  - API
  - BluetoothDevice
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - Web Bluetooth API
  - vendorID
---
<div>{{APIRef("Bluetooth API")}}{{Non-standard_Header}}{{Obsolete_Header}}</div>

<p>The <strong><code>BluetoothDevice.vendorID</code></strong> read-only property returns the 16-bit Vendor ID field in the <code>pnp_id</code> characteristic in the <code>device_information</code> service.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var vendorID = <em>instanceOfBluetoothDevice</em>.vendorID</pre>

<h3 id="Returns">Returns</h3>

<p>The the 16-bit Vendor ID field.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BluetoothDevice.vendorID")}}</p>
</div>
